/* Стиль для страницы логина */

body {
    margin: 0;
    padding: 0;
    font-family: "DIN Pro Regular";
}

.bg {
    width: 100%;
    height: 100%;
    position: fixed;
    background: rgb(28, 114, 68);
    background: linear-gradient(27deg, rgba(28, 114, 68, 1) 0%, rgba(51, 204, 122, 1) 100%);
    vertical-align: middle;
    text-align: center;
}

.center_container {
    width: 100%;
    height: 100%;
    display: table;
}

.center_warper {
    width: 100%;
    height: 100%;
    display: table-cell;
    vertical-align: middle;
    text-align: center;

}

.center_content {
    width: 600px;
    height: 400px;
    display: inline-block;
    position: relative;
}

.center_content span {
    font-family: "DIN Pro Light";
    font-size: 48px;
    color: white;
}

.message_container {

  display: none;
}

#message_txt {
    color: rgba(255, 255, 255, 0.87);
    text-align: center;
    font-size: 30px;
    margin: 90px 0px 0px 0px;
}

#message_txt a {color: white; font-size: 22px; margin: 15px 0px 0px 0px; display: inline-block;}


.input_container {
    margin-top: 35px;
    position: absolute;
    left: 50px;
}

.wrong_input {background-color: #00632E; color: white !important; transition: all 0.3s ease;}

.input_login, .input_pass {
    width: 500px;
    height: 54px;
    font-size: 32px;
    font-family: "DIN Pro Light";
    color: #232323;
    padding-left: 10px;
    margin-top: 7px;
}

.button {
    display: inline-block;
    cursor: pointer;
    user-select: none;
    position: absolute;
    top: 300px;
    left: 170px;


}

.button_block { cursor: auto ;}
.button_block div {background-color: #6c6c6c !important; color: #ababab !important;}
.button div {
    width: 100% ;
    height: 54px;
    background-color: #00632E;
    display: inline-block;
    color: white;
    font-family: "DIN Pro Light";
    vertical-align: middle;
    font-size: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
}

.button div:hover {
    background-color: #33CC7A;
    transition: all 0.3s ease;
    box-shadow: 0 0 10px black; /* Параметры тени */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* Параметры тени */
    -moz-box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* Для Firefox */
    -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* Для Safari и Chrome */
}

.button div div {
    margin: auto;
    width: 260px;
}

.loader {
    background-image: url("../img/loader/loader.gif");
    height: 500px;
    width: 500px;
}

.loader_container {
    display: inline-block;
    text-align: left;
    width: 400px;
    height: 300px;
    position: relative;
}

.hide {
    transition: all 0.3s ease;
    animation: hide_form 1s ease-in-out 1 forwards;;

}

.show {
    transition: all 0.3s ease;
    animation: show_form 1s ease-in-out 1 forwards;;

}

@keyframes hide_form {
    0% {

    }
    50% {
        filter: blur(100px);
        opacity: 1;
    }
    100% {
        filter: blur(100px);
        opacity: 0;
        transform: scale(0);
    }
}

@keyframes show_form {
    0% {
        filter: blur(100px);
        opacity: 0;
    }
    50% {

    }
    100% {
        filter: blur(0px);
        opacity: 1;
        transform: scale(1);
    }
}









